package com.ssj.service.conch.curator.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @description
 * @author yrf
 * @time 2019/9/4 16:46
 */
public class RegisterReq extends BaseRequest {

    private static final long serialVersionUID = 1398386860829461909L;

    @ApiModelProperty(name = "curatorName", value = "馆长名称", required = true)
    @NotBlank
    private String curatorName;

    @ApiModelProperty(name = "libId", value = "馆id", required = true)
    @NotBlank
    private String libId;

    @ApiModelProperty(name = "phone", value = "电话", required = true)
    @NotBlank
    private String phone;

    public String getCuratorName() {
        return curatorName;
    }

    public void setCuratorName(String curatorName) {
        this.curatorName = curatorName;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
